mDNS/bonjour forwarding
Closed, ResolvedPublicFEATURE REQUEST


This one is a feature of my Ubiquity EdgeRouter-X.

I have multiple devices at home which use Airplay to stream media content. They use Bonjour/mDNS to identify themselfs on the local network, but they are not visible on any other VLAN.

Avahi is able of being a "mDNS repeater".



  • Add avahi package to the image
  • Port configuration scripts from Ubiquity EdgeMax router to VyOS

Configuration nodes:

service {
     mdns {
         repeater {
             interface eth0
             interface eth2
             interface eth4


Difficulty level
Normal (likely a few hours)
Why the issue appeared?
Will be filled on close
This request is:
Service Request
c-po created this task.Sep 2 2017, 10:21 AM
c-po changed Difficulty level from Unknown (require assessment) to Normal (likely a few hours).
c-po added a comment.EditedSep 2 2017, 7:38 PM
c-po added a subscriber: UnicronNL.EditedSep 2 2017, 9:44 PM

@UnicronNL could you please mirror to and set up a CI job? After this I can submit the appropriate merge requests for vyos-world abd vyos-build.

c-po moved this task from Need Triage to In Progress on the VyOS 1.2.x board.Sep 3 2017, 7:56 AM
c-po added a comment.Sep 3 2017, 8:09 AM

Verified using iOS 10.3.3 accross VLANs. mDNS services like Airplay working.

Now waiting for CI builds and migration to

c-po changed the task status from Open to In progress.Sep 3 2017, 8:10 AM
c-po triaged this task as Normal priority.

@c-po is created, and ci integration is also done.

c-po moved this task from In Progress to Finished on the VyOS 1.2.x board.Sep 3 2017, 1:59 PM
c-po closed this task as Resolved.
c-po reopened this task as In progress.
c-po added a comment.Dec 8 2017, 7:27 PM

Using AVAHI as mDNS reflector has the big disadvantage that the reflection interface can not be specified. It will reflect the mDNS messages on ALL interfaces. Mdns-reflector does not have this problem. It needs to be configured which interface is used for repetition. Configuration is planned for vyos-1x package.

c-po added a comment.Dec 9 2017, 9:25 AM

TODO: Add CI job for when CI is back online

c-po added a comment.EditedDec 9 2017, 12:57 PM

I wanted to add the following into the WiKi

== mDNS Repeater ==
VyOS (1.2.x) provides a Multicast DNS repeater functionality. Multicast DNS uses the address, which is "administratively scoped" and does not leave the subnet. It re-broadcast mDNS packets from one interface to other interfaces.

 '''set service mdns repeater interface eth0'''
 '''set service mdns repeater interface eth1'''

Will re-broadcast all mDNS packets from 'eth0' to 'eth1'.

below == Dynamic DNS ==. Unfortunately this results in the error message: * Forbidden. Contains contacts. Message seems to be spam. *

@syncer any idea to bypass this?

syncer added a comment.Dec 9 2017, 1:00 PM

try again please

c-po added a comment.Dec 9 2017, 1:37 PM

Still the same

syncer added a comment.Dec 9 2017, 1:44 PM

whitelisted again,
buggy system, try in 10 mins or so
hopefully will work this time

c-po claimed this task.Dec 9 2017, 2:57 PM
c-po closed this task as Resolved.